> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Product Start

> Adds a product start (i.e. the from where the product is getting active) to the currently active product. The product start overrides the delivery start data as provided by the network operator. The product start must always be on the day of delivery start of the contract or later. Since the delivery start is only present after successful network subscription, the state of the contract must be in 'closed_join' ('Vertrag angemeldet' or 'In Belieferung' in the cockpit).



## OpenAPI

````yaml /lumx_openapi.yaml put /v3/consumers/{userID}/contracts/{contractID}/products/product_start/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumers/{userID}/contracts/{contractID}/products/product_start/:
    put:
      tags:
        - consumers
      summary: Add Product Start
      description: >-
        Adds a product start (i.e. the from where the product is getting active)
        to the currently active product. The product start overrides the
        delivery start data as provided by the network operator. The product
        start must always be on the day of delivery start of the contract or
        later. Since the delivery start is only present after successful network
        subscription, the state of the contract must be in 'closed_join'
        ('Vertrag angemeldet' or 'In Belieferung' in the cockpit).
      operationId: consumers_contracts_products_product_start_update
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddProductStart'
            examples:
              ContractIDNotFound:
                value:
                  detail: Contract ID not found in database
                summary: ContractID Not Found
              NoActiveProductFound:
                value:
                  detail: No active product found in database
                summary: No active product found
              NoDeliveryStartPresent:
                value:
                  detail: delivery start not yet available
                summary: No delivery start present
              ValidationError:
                value:
                  detail: product start must be after delivery start
              Forbidden:
                value:
                  detail: product start not supported for this contract
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AddProductStart'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AddProductStart'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddProductStartResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  email:
                    - Enter a valid email address.
                  non_field_errors:
                    - Invalid combination of fields.
              examples:
                ValidationError:
                  value:
                    detail: product start must be after delivery start
          description: DRF validation errors from the runtime product-start serializer.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailResponse'
              examples:
                Forbidden:
                  value:
                    detail: product start not supported for this contract
          description: The runtime product-start policy rejected the requested change.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
              examples:
                ContractIDNotFound:
                  value:
                    detail: Contract ID not found in database
                  summary: ContractID Not Found
                NoActiveProductFound:
                  value:
                    detail: No active product found in database
                  summary: No active product found
                NoDeliveryStartPresent:
                  value:
                    detail: delivery start not yet available
                  summary: No delivery start present
          description: >-
            The runtime contract, product, or delivery-start lookup could not
            find the requested resource.
components:
  schemas:
    AddProductStart:
      type: object
      properties:
        product_start:
          type: string
          format: date
      required:
        - product_start
    AddProductStartResponse:
      type: object
      properties:
        contract_id:
          type: string
      required:
        - contract_id
    DetailResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.